feat(core): DNV decommission
[csit.git] / resources / libraries / bash / function / common.sh
index fa57071..a383063 100644 (file)
@@ -118,7 +118,7 @@ function activate_virtualenv () {
     env_dir="${root_path}/env"
     req_path=${2-$CSIT_DIR/requirements.txt}
     rm -rf "${env_dir}" || die "Failed to clean previous virtualenv."
-    pip3 install virtualenv==20.0.20 || {
+    pip3 install virtualenv==20.15.1 || {
         die "Virtualenv package install failed."
     }
     virtualenv --no-download --python=$(which python3) "${env_dir}" || {
@@ -455,14 +455,6 @@ function get_test_code () {
             NODENESS="3n"
             FLAVOR="aws"
             ;;
-        *"2n-skx"*)
-            NODENESS="2n"
-            FLAVOR="skx"
-            ;;
-        *"3n-skx"*)
-            NODENESS="3n"
-            FLAVOR="skx"
-            ;;
         *"2n-zn2"*)
             NODENESS="2n"
             FLAVOR="zn2"
@@ -479,13 +471,9 @@ function get_test_code () {
             NODENESS="3n"
             FLAVOR="icx"
             ;;
-        *"2n-dnv"*)
-            NODENESS="2n"
-            FLAVOR="dnv"
-            ;;
-        *"3n-dnv"*)
+        *"3n-snr"*)
             NODENESS="3n"
-            FLAVOR="dnv"
+            FLAVOR="snr"
             ;;
         *"2n-tx2"*)
             NODENESS="2n"
@@ -495,6 +483,10 @@ function get_test_code () {
             NODENESS="3n"
             FLAVOR="tsh"
             ;;
+        *"3n-alt"*)
+            NODENESS="3n"
+            FLAVOR="alt"
+            ;;
     esac
 }
 
@@ -616,29 +608,12 @@ function move_archives () {
 function post_process_robot_outputs () {
 
     # Generate INFO level output_info.xml by rebot.
-    # Archive UTI raw json outputs.
     #
     # Variables read:
     # - ARCHIVE_DIR - Path to post-processed files.
 
     set -exuo pipefail
 
-    # Compress raw json outputs, as they will never be post-processed.
-    pushd "${ARCHIVE_DIR}" || die
-    if [ -d "tests" ]; then
-        # Use deterministic order.
-        options+=("--sort=name")
-        # We are keeping info outputs where they are.
-        # Assuming we want to move anything but info files (and dirs).
-        options+=("--exclude=*.info.json")
-        tar czf "generated_output_raw.tar.gz" "${options[@]}" "tests" || true
-        # Tar can remove when archiving, but chokes (not deterministically)
-        # on attempting to remove dirs (not empty as info files are there).
-        # So we need to delete the raw files manually.
-        find "tests" -type f -name "*.raw.json" -delete || true
-    fi
-    popd || die
-
     # Generate INFO level output_info.xml for post-processing.
     all_options=("--loglevel" "INFO")
     all_options+=("--log" "none")
@@ -756,7 +731,6 @@ function run_pybot () {
 
     # Run pybot with options based on input variables.
     # Generate INFO level output_info.xml by rebot.
-    # Archive UTI raw json outputs.
     #
     # Variables read:
     # - CSIT_DIR - Path to existing root of local CSIT git repository.
@@ -771,7 +745,6 @@ function run_pybot () {
     set -exuo pipefail
 
     all_options=("--outputdir" "${ARCHIVE_DIR}" "${PYBOT_ARGS[@]}")
-    all_options+=("--noncritical" "EXPECTED_FAILING")
     all_options+=("${EXPANDED_TAGS[@]}")
 
     pushd "${CSIT_DIR}" || die "Change directory operation failed."
@@ -807,6 +780,11 @@ function select_arch_os () {
                     VPP_VER_FILE="VPP_STABLE_VER_UBUNTU_FOCAL"
                     PKG_SUFFIX="deb"
                     ;;
+                *"LTS (Jammy Jellyfish)"*)
+                    IMAGE_VER_FILE="VPP_DEVICE_IMAGE_UBUNTU_JAMMY"
+                    VPP_VER_FILE="VPP_STABLE_VER_UBUNTU_JAMMY"
+                    PKG_SUFFIX="deb"
+                    ;;
                 *)
                     die "Unsupported Ubuntu version!"
                     ;;
@@ -872,8 +850,8 @@ function select_tags () {
 
     # Select default NIC tag.
     case "${TEST_CODE}" in
-        *"3n-dnv"* | *"2n-dnv"*)
-            default_nic="nic_intel-x553"
+        *"3n-snr"*)
+            default_nic="nic_intel-e822cq"
             ;;
         *"3n-tsh"*)
             default_nic="nic_intel-x520-da2"
@@ -881,10 +859,10 @@ function select_tags () {
         *"3n-icx"* | *"2n-icx"*)
             default_nic="nic_intel-xxv710"
             ;;
-        *"3n-skx"* | *"2n-skx"* | *"2n-clx"* | *"2n-zn2"*)
+        *"2n-clx"* | *"2n-zn2"*)
             default_nic="nic_intel-xxv710"
             ;;
-        *"2n-tx2"* | *"mrr-daily-master")
+        *"2n-tx2"* | *"3n-alt"* | *"mrr-daily-master")
             default_nic="nic_intel-xl710"
             ;;
         *"1n-aws"* | *"2n-aws"* | *"3n-aws"*)
@@ -901,7 +879,6 @@ function select_tags () {
     awk_nics_sub_cmd+='gsub("x710","10ge2p1x710");'
     awk_nics_sub_cmd+='gsub("xl710","40ge2p1xl710");'
     awk_nics_sub_cmd+='gsub("x520-da2","10ge2p1x520");'
-    awk_nics_sub_cmd+='gsub("x553","10ge2p1x553");'
     awk_nics_sub_cmd+='gsub("cx556a","100ge2p1cx556a");'
     awk_nics_sub_cmd+='gsub("e810cq","100ge2p1e810cq");'
     awk_nics_sub_cmd+='gsub("vic1227","10ge2p1vic1227");'
@@ -991,14 +968,6 @@ function select_tags () {
         *"1n_tx2"*)
             test_tag_array+=("!flow")
             ;;
-        *"2n-skx"*)
-            test_tag_array+=("!ipsechw")
-            ;;
-        *"3n-skx"*)
-            test_tag_array+=("!ipsechw")
-            # Not enough nic_intel-xxv710 to support double link tests.
-            test_tag_array+=("!3_node_double_link_topoANDnic_intel-xxv710")
-            ;;
         *"2n-clx"*)
             test_tag_array+=("!ipsechw")
             ;;
@@ -1013,22 +982,10 @@ function select_tags () {
         *"2n-zn2"*)
             test_tag_array+=("!ipsechw")
             ;;
-        *"2n-dnv"*)
-            test_tag_array+=("!memif")
-            test_tag_array+=("!srv6_proxy")
-            test_tag_array+=("!vhost")
-            test_tag_array+=("!vts")
-            test_tag_array+=("!drv_avf")
-            ;;
-        *"2n-tx2"*)
+        *"2n-tx2"* | *"3n-alt"*)
             test_tag_array+=("!ipsechw")
             ;;
-        *"3n-dnv"*)
-            test_tag_array+=("!memif")
-            test_tag_array+=("!srv6_proxy")
-            test_tag_array+=("!vhost")
-            test_tag_array+=("!vts")
-            test_tag_array+=("!drv_avf")
+        *"3n-snr"*)
             ;;
         *"3n-tsh"*)
             # 3n-tsh only has x520 NICs which don't work with AVF
@@ -1134,12 +1091,8 @@ function select_topology () {
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_icx*.yaml )
             TOPOLOGIES_TAGS="2_node_*_link_topo"
             ;;
-        "2n_dnv")
-            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_dnv*.yaml )
-            TOPOLOGIES_TAGS="2_node_single_link_topo"
-            ;;
-        "3n_dnv")
-            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_dnv*.yaml )
+        "3n_snr")
+            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_snr*.yaml )
             TOPOLOGIES_TAGS="3_node_single_link_topo"
             ;;
         "3n_tsh")
@@ -1150,6 +1103,10 @@ function select_topology () {
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_tx2*.yaml )
             TOPOLOGIES_TAGS="2_node_single_link_topo"
             ;;
+        "3n_alt")
+            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_alt*.yaml )
+            TOPOLOGIES_TAGS="3_node_single_link_topo"
+            ;;
         "1n_aws")
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*1n-aws*.yaml )
             TOPOLOGIES_TAGS="1_node_single_link_topo"
@@ -1188,13 +1145,16 @@ function set_environment_variables () {
 
     case "${TEST_CODE}" in
         *"1n-aws"* | *"2n-aws"* | *"3n-aws"*)
-            # T-Rex 2.88 workaround for ENA NICs
+            # T-Rex 2.88+ workaround for ENA NICs.
             export TREX_RX_DESCRIPTORS_COUNT=1024
             export TREX_EXTRA_CMDLINE="--mbuf-factor 19"
             export TREX_CORE_COUNT=6
-            # Settings to prevent duration stretching
+            # Settings to prevent duration stretching.
             export PERF_TRIAL_STL_DELAY=0.1
             ;;
+        *"2n-zn2"*)
+            # Maciek's workaround for Zen2 with lower amount of cores.
+            export TREX_CORE_COUNT=14
     esac
 }